<?php
// Konfigurációs fájlok és külső modulok betöltése 
  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_functions.php");      // Program függvények   
  include("_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();
  
  header("Content-Type: text/html; charset=".$charset);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">  
<html>
<head>
  <link rel="StyleSheet" type="text/css" href="../style/szoborpark.css" media="screen">
<script language="Javascript">
  function ment() {    
    setTimeout("top.document.getElementById('feldolgozo').style.visibility = 'hidden'",1000);
  }
</script>
<body>
<?php 
  //echo rinfo();
  switch($mitcsinal) {
    case 'update': 
          $sql = "UPDATE ".$_REQUEST['table']." SET 
                 ".$_REQUEST['mezo']." = '".$_REQUEST[$_REQUEST['mezo']]."'
                 WHERE ".$_REQUEST['feltetel']." = '".$_REQUEST[$_REQUEST['feltetel']]."'";
          break;
     case 'delete':
          $sql = "DELETE FROM ".$_REQUEST['table']." WHERE ".$_REQUEST['feltetel'];
          break;
     case 'run':
          $sql = $_REQUEST['sql'];
          break;
     case 'check':
          // Ellenőrízzük, hogy az adott érték szerepel-e már a táblában
          $l = lekerdezes("SELECT * FROM ".$_REQUEST['table']." WHERE ".$_REQUEST['mezonev']."='".$_REQUEST['ertek']."'");                    
          if (ossz_rekord($l)>0) {
            echo "<span class=\"mentes\">Hiba...</span>\n";
            echo "<script language=\"Javascript\">\n";
            echo "  window.alert('Már szerepel ilyen az adatbázisban');\n";
            echo "  setTimeout('top.window.document.getElementById(\"feldolgozo\").style.visibility = \"hidden\"',500);";
            echo "  top.window.adatszerkeszto.ertek.focus();\n";
            echo "</script>\n";
            exit;
          }
          if ($id == 0) 
            $sql = "INSERT ".$_REQUEST['table']." (".$_REQUEST['mezonev'].")
                    VALUES('".$_REQUEST['ertek']."')";
          else
            $sql = "UPDATE ".$_REQUEST['table']." SET 
                   ".$_REQUEST['mezonev']." ='".$_REQUEST['ertek']."' 
                   WHERE ".$_REQUEST['mezoid']."=".$id;
          echo "<script language=\"Javascript\">\n";
          echo "  top.window.adatszerkeszto.eredeti.value = '".$_REQUEST['ertek']."';\n";
          echo "</script>\n";
          break;
     default:
          rinfo;                   
  }
  //echo $sql;
  $x = lekerdezes($sql);
  if ($x) {
    echo "<span class=\"mentes\">Mentés...</span><script language=Javascript>ment()</script>\n";
  }
  else { 
    echo "<span class=\"mentes\">Hiba...</span>\n";
  }
?>
</body></html>
